<script lang="ts">
  interface Props {
    clickKeycap: (key: string, command: string) => void;
    key?: string;
    command?: string;
    svg?: string;
  }

  let {
    clickKeycap,
    key = "",
    command = "",
    svg = ""
  }: Props = $props();
</script>

<button
  class="customwidth h-full flex justify-center items-center text-xs md:text-xl border-b-2 border-r border-r-slate-400 dark:border-r-gray-500 border-b-slate-300 dark:border-b-gray-600 active:border-b-0 active:border-r-0 text-coopmaths-corpus-light dark:text-coopmathsdark-corpus-light active:text-coopmaths-canvas active:translate-y-[1.5px] dark:active:text-coopmathsdark-canvas active:bg-coopmaths-action dark:active:bg-coopmathsdark-action transition-transform ease-in-out shadow-lg
  py-1.5 px-2 md:py-2 md:px-4 text-center rounded-md font-mono"
  onclick={(e) => {
    clickKeycap(key, command);
  }}
>
  {#if svg !== ""}
    <img src={svg} class="w-4 h-4 md:w-6 md:h-6 inline-block ml-1" alt={key} />
  {:else if key === "x"}
    <span style="font-family: Times New Roman, serif; font-style: italic;"
      >x</span
    >
  {:else}
    {@html key}
  {/if}
</button>
